Name:          libbinio
Version:       1.5
Release:       1mamba
Summary:       A platform-independent way to access binary data streams in C++
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://adplug.github.io/libbinio/
Source:        https://github.com/adplug/libbinio.git/libbinio-%{version}/%{name}-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:        %{name}-1.4-info.patch
Patch1:        %{name}-1.4-include.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
The binary I/O stream class library presents a platform-independent way to access binary data streams in C++.
The library is hardware independent in the form that it transparently converts between the different forms of machine-internal binary data representation.
It further employs no special I/O protocol and can be used on arbitrary binary data sources.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The binary I/O stream class library presents a platform-independent way to access binary data streams in C++.
The library is hardware independent in the form that it transparently converts between the different forms of machine-internal binary data representation.
It further employs no special I/O protocol and can be used on arbitrary binary data sources.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

autoreconf -f -i

touch doc/version.texi

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info
exit 0

%preun
%uninstall_info %{name}.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%{_infodir}/%{name}.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%doc ChangeLog NEWS README TODO

%changelog
* Sat May 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5-1mamba
- update to 1.5

* Thu Dec 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-5mamba
- rebuilt with gcc 5.3.0

* Mon Dec 29 2014 Automatic Build System <autodist@mambasoft.it> 1.4-4mamba
- automatic rebuild by autodist

* Sun Mar 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.4-3mamba
- specfile cleanups
- fixed build error: 'EOF' was not declared in this scope

* Wed Oct 15 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.4-2mamba
- buildrequirements list added
- description formatted

* Fri Jan 20 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.4-1qilnx
- update to version 1.4 by autospec
- added info file patch

* Thu Aug 18 2005 Stefano Cotta Ramusino <whitone@gmail.com> 1.3-1qilnx
- package created by autospec
